#!/usr/bin/env perl
#===============================================================================
#
#         FILE: pronom_statistics.pl
#
#        USAGE: ./pronom_statistics.pl
#
#  DESCRIPTION: perl ./pronom_statistics.pl <DROIDSIGNATURE-FILE>
#
#      OPTIONS: ---
# REQUIREMENTS: ---
#         BUGS: ---
#        NOTES: ---
#       AUTHOR: Andreas Romeyke,
#      CREATED: 28.08.2018 14:26:43
#     REVISION: ---
#===============================================================================
use strict;
use warnings 'FATAL';
use utf8;
use v5.24;
use File::FormatIdentification::Pronom;

################################################################################
# main
################################################################################

my $pronomfile = shift @ARGV;
if ( !defined $pronomfile ) {
    say "you need at least a pronom signature file";
}
my $pronom = File::FormatIdentification::Pronom->new(
    "droid_signature_filename" => $pronomfile );
$pronom->print_csv_statistics();
1;
